package gestion;

import gui.PanelEncargo;

public final class Controlador {
	
	private Vista vista;
	private Modelo modelo;
	
	
	public void setModelo(Modelo m) {
		modelo = m;
	}
	
	public void setVista(Vista v) {
		vista = v;
	}
	
	/**
	 * Recibe un Encargo desde el JFrame principal, creado en el JDialog para crear Encargos.
	 * Lo envia al Modelo para que lo guarde en el ArrayList.
	 * Luego envia el ArrayList ya actualizado a la Vista, para que muestre los PanelesEncargo
	 * correspondientes.
	 * @param nuevo Objeto Encargo recien creado.
	 */
	public void recogerEncargoNuevo(Encargo nuevo) {
		modelo.nuevoEncargo(nuevo);
		vista.actualizarEncargos(modelo.getEncargos());
	}
	
	/**
	 * Recibe un entero que representa la posicion del ArrayList de la cual hay que eliminar
	 * el Encargo. Se le transmite al Modelo para que realice esta accion.
	 * Luego envia el ArrayList ya actualizado a la Vista, para que muestre los PanelesEncargo
	 * correspondientes.
	 * @param numEncargo Valor int que representa el indice del Encargo a eliminar.
	 */
	public void eliminarEncargo(int numEncargo) {
		modelo.eliminarEncargo(numEncargo); //En el modelo se elimina el Encargo en ArrayList
		vista.actualizarEncargos(modelo.getEncargos()); //Vista recibe el ArrayList actualizado
	}

}
