package gestion;

import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JFrame;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;

import gui.DialogoEncargo;
import gui.MiVerdana;

public final class GestionEncargos extends JFrame{
	
	Controlador controlador;
	DialogoEncargo nuevoEncargo;
	
	public GestionEncargos() {
		super("Gestion Encargos 0.1");
		controlador = new Controlador();
		controlador.setModelo(new Modelo());
		Vista vista = new Vista(controlador);
		controlador.setVista(vista);
		add(vista.getContenedor());
		setJMenuBar(construyeBarraMenu());
		setResizable(false);
		pack();
		setSize(new Dimension(800, 600));
		setLocationRelativeTo(null);
		setVisible(true);
	}
	
	private JMenuBar construyeBarraMenu() {
		JMenu jm = new JMenu("Opciones");
		jm.setFont(new MiVerdana(1, 14));
		JMenuItem nuevoEncargo = new JMenuItem("Nuevo Encargo"); 
		nuevoEncargo.addActionListener(new AccionNuevoEncargo());
		nuevoEncargo.setFont(new MiVerdana(2, 14));
		jm.add(nuevoEncargo);
		
		JMenuBar jmb = new JMenuBar();
		jmb.add(jm);
		return jmb;
	}
	
	private class AccionNuevoEncargo implements ActionListener {
		@Override
		public void actionPerformed(ActionEvent e) {
			nuevoEncargo = new DialogoEncargo(null, null);
			nuevoEncargo.btAceptar.addActionListener(new AccionCrearEncargo());
			nuevoEncargo.setVisible(true);
			
		}
	}
	
	private class AccionCrearEncargo implements ActionListener {
		@Override
		public void actionPerformed(ActionEvent e) {
			Encargo nuevo = nuevoEncargo.getEncargo();
			nuevoEncargo.dispose();
			controlador.recogerEncargoNuevo(nuevo);
		}
	}

	public static void main(String[] args) {
		new GestionEncargos();
	}

}
